
version: '3.6'

services:

  middle-proxy:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-middle-proxy:26.4.10
    ports:
      - 13131:13131
    environment:
      ARMS_BASE_ADDR: https://www.a-rms.net
      SPRING_PROFILES_ACTIVE: live # 여기에 원하는 프로파일을 설정
      TZ: Asia/Seoul
    volumes:
      - /nfs/allinone/app/middle-proxy:/mnt
    deploy:
      mode: replicated
      replicas: 1
    networks:
      - allinoneNetwork
    logging:
      driver: fluentd
      options:
        fluentd-address: 192.168.25.200:24224
        fluentd-retry-wait: "60s"
        fluentd-max-retries: "30"
        tag: middleproxy

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
